API DocumentationStats
Retrieve Load Balancer Stats
Get traffic and performance statistics for a load balancer.
Use timespan to get recent stats over a rolling window, or provide start/end
(Unix timestamps in milliseconds) for a custom range.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
lb_id*string
A unique identifier for a load balancer instance.
Format
uuidQuery Parameters
timespan?integer
time range to get stats from (in seconds):
- 10 minutes
- 1 hour
- 1 day
- 1 week
- 1 month (31 days)
- 1 year (366 days) if omitted, will send live stats (use this for testing only, not for production)
Value in
- 600
- 3600
- 86400
- 604800
- 2678400
- 31622400
start?integer
unix timestamp of the first datapoint
end?integer
unix timestamp of the last datapoint
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/stats"{ "meta": { "step": 60, "start": 1672565200, "end": 1672565200, "rows": 120, "columns": 10 }, "data": [ [] ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}